升级Spring 2.5注意事项

原文地址:http://www.javaeye.com/topic/211425

支持的JDK版本

Spring 2.5对JDK 1.3已经不再支持,因为Sun官方从2006晚期已经正式将JDK 1.3淘汰。请升级到JDK 1.4.2或更高版本。

Spring 2.5的Jar打包

  • 在Spring 2.5中, Spring Web MVC 不再是 ‘spring.jar’ 文件的一部分. Spring MVC以’spring-webmvc.jar’ 和’spring-webmvc-portlet.jar’文件形式在发行包的 lib/modules 目录中存在。 另外,对Struts 1.x的支持被独立成 ‘spring-webmvc-struts.jar’。
    注意: 经常被使用的Spring的DispatcherServlet也是Spring Web MVC框架的一部分。 因此,就算你只是为了远程访问(例如,暴露Hessian或者 HTTP调用服务)而使用DispatcherServlet,你也得将’spring-webmvc.jar'(或者 ‘spring-webmvc-portlet/struts.jar’)放到’spring.jar’旁边去。
  • Spring 2.0的 ‘spring-jmx.jar’ 和 ‘spring-remoting.jar’已经被转移到 Spring 2.5的’spring-context.jar’ (针对 JMX 和非HTTP 远程支持),部分转移到 ‘spring-web.jar’ (针对HTTP 远程支持)。
  • Spring 2.0的 ‘spring-support.jar’ 被改名为 ‘spring-context-support.jar’, 更好的表达其真实含义。 ‘spring-portlet.jar’ 被改名为 ‘spring-webmvc-portlet.jar’,表明它是Spring Web MVC framework的子模块之一。 类似的, ‘spring-struts.jar’ 被改为’spring-webmvc-struts.jar’。
  • Spring 2.0的’spring-jdo.jar’, ‘spring-jpa.jar’, ‘spring-hibernate3.jar’, ‘spring-toplink.jar’ 和 ‘spring-ibatis.jar’ 被合并到Spring 2.5大粒度的’spring-orm.jar’中。
  • Spring 2.5的 ‘spring-test.jar’ 取代了’spring-mock.jar’,表达其对test context framework的强烈关注。 注意 ‘spring-test.jar’ 包含了上个版本 ‘spring-mock.jar’中的一切,因此如果是单元或集成测试,可以直接取代。
  • Spring 2.5的 ‘spring-tx.jar’ 取代了 ‘spring-dao.jar’ 和’spring-jca.jar’ 文件,表达其对transaction framework的强烈关注。
  • Spring 2.5 将其jar文件直接作为OSGi兼容的bundle。这使得在OSGi环境中使用Spring 更加方便,不再需要定制打包了。

XML配置

Spring 2.0的XSD在描述Spring XML元数据格式方面比先前的DTD更丰富。 旧的DTD仍然得到支持,但如果可能我们鼓励在bean定义文件头部引用XSD文件。

有一点被改变了,那就是定义bean作用域的方式。如果你使用的是Spring 1.2 DTD,那么你能继续用’singleton’属性。 如果你选择引用新的Spring 2.0 DTD,它不允许使用’singleton’属性, 那么可以用’scope’属性来定义bean的生命周期作用域。

Deprecated(淘汰)的类和方法

一些以前被标记为@deprecated的类和方法Spring 2.0代码库中被完全删除了。 Spring团队决定把2.0版本作为一个新的开始,那些被deprecated的代码应该被除去而不是在可预见的未来继续在代码中出现。

下面的类/接口已经从Spring 2.0的代码中删除了:

ResultReader : 使用RowMapper接口代替。

BeanFactoryBootstrap : 考虑使用一个BeanFactoryLocator 或是自定义引导类代替

Apache OJB

 

Spring 2.0开始,请注意Spring主代码中的Apache OJB支持被完全删除了; 但仍然可以在Spring Modules项目中找到Apache OJB的集成库。

iBATIS

请注意iBATIS SQL Maps 1.3支持被完全去除了。如果你还在使用iBATIS SQL Maps 1.3, 请升级到iBATIS SQL Maps 2.0/2.1。

Hibernate

Spring 2.5中,对 Hibernate 2.1 和 Hibernate 3.0 的支持已经去除。请升级到Hibernate 3.1或更高版本。

如果你需要继续使用Hibernate 2.1或3.0,我们建议你继续使用Spring 2.0.7/2.0.8,这些版本仍然支持Hibernate的那些版本。

JDO

Spring 2.5中,对JDO 1.0 的支持被去除。请升级到JDO 2.0或更高版本。

如果你需要继续使用JDO 1.0,我们建议你继续使用spring 2.0.7/2.0.8,这些版本仍然支持JDO 1.0。

UrlFilenameViewController

从Spring 2.0起,UrlFilenameViewController所决定的view名字现在考虑了request中的嵌套路径。这是对原始 UrlFilenameViewController约定的重大修改,意味着如果你从Spring 1.x升级到Spring 2.x,并且你在使用这个类,你可能必须小小的修改你的Spring Web MVC配置。请参考UrlFilenameViewController 的类Javadoc,来查看新的view name determination的约定的示例。

发表评论

邮箱地址不会被公开。 必填项已用*标注

昵称 *